GROMACS - Bug #2544

gmx rmsf does not fix periodicity in reference structure
06/05/2018 01:56 PM - David van der Spoel

Status: New

Priority: Normal

Assignee: David van der Spoel

Category: analysis tools

Target version: future

Affected version - Difficulty: simple
extra info:

Affected version: 4.0

Description

If the periodicity in the input molecule that is use for fitting is not correct, the fit will be done on a broken molecule leading to incorrect
fluctuations. This likely is a left-over from the time when GROMACS did not write broken molecules.

Related issues:
Related to GROMACS - Feature #2545: Should grompp fix periodicity of input fi...

New

History

#1 - 06/05/2018 02:11 PM - David van der Spoel
- File broken.tpr added

- File whole.tpr added

- File ub_traj.pdb added

To reproduce:

gmx rmsf -f ub_traj.pdb -s broken.tpr -res -o rmsf_broken

gmx rmsf -f ub_traj.pdb -s whole.tpr -res -o rmsf_whole

#2 - 06/05/2018 02:14 PM - Gerrit Code Review Bot

Gerrit received a related patchset '1' for Issue #2544.

Uploader: David van der Spoel (spoel@xray.bmc.uu.se)

Change-Id: gromacs~release-2018~1c2b70b3ffc4aa87d1f99b97bc323bcf3d59420ab
Gerrit URL: https://gerrit.gromacs.org/7977

#3 - 06/13/2018 12:32 PM - Mark Abraham
- Related to Feature #2545: Should grompp fix periodicity of input files? added

#4 - 08/21/2018 10:36 AM - Paul Bauer

- Target version changed from 2018.3 to future

| changed the target version for this, as this involves more general changed to the way the analysis tools work in the end.

Files

broken.tpr 592 KB 06/05/2018 David van der Spoel

whole.tpr 592 KB 06/05/2018 David van der Spoel

ub_traj.pdb 190 KB 06/05/2018 David van der Spoel
